[Libguestfs] [PATCH 2/2] added blkls API tests

Matteo Cafasso noxdafox at gmail.com
Wed Mar 16 21:09:24 UTC 2016


Signed-off-by: Matteo Cafasso <noxdafox at gmail.com>
---
 tests/tsk/Makefile.am   |  3 ++-
 tests/tsk/test-blkls.sh | 58 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+), 1 deletion(-)
 create mode 100755 tests/tsk/test-blkls.sh

diff --git a/tests/tsk/Makefile.am b/tests/tsk/Makefile.am
index 37fc13c..80e8793 100644
--- a/tests/tsk/Makefile.am
+++ b/tests/tsk/Makefile.am
@@ -19,7 +19,8 @@ include $(top_srcdir)/subdir-rules.mk

 TESTS = \
 	test-icat.sh \
-	test-blkcat.sh
+	test-blkcat.sh \
+	test-blkls.sh

 TESTS_ENVIRONMENT = $(top_builddir)/run --test

diff --git a/tests/tsk/test-blkls.sh b/tests/tsk/test-blkls.sh
new file mode 100755
index 0000000..7745922
--- /dev/null
+++ b/tests/tsk/test-blkls.sh
@@ -0,0 +1,58 @@
+#!/bin/bash -
+# libguestfs
+# Copyright (C) 2016 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test the blkls command.
+
+set -e
+
+if [ -n "$SKIP_TEST_BLKLS_SH" ]; then
+    echo "$0: test skipped because environment variable is set."
+    exit 77
+fi
+
+rm -f test-blkls.bin
+
+# Skip if TSK is not supported by the appliance.
+if ! guestfish add /dev/null : run : available "sleuthkit"; then
+    echo "$0: skipped because TSK is not available in the appliance"
+    exit 77
+fi
+
+if [ ! -s ../../test-data/phony-guests/blank-fs.img ]; then
+    echo "$0: skipped because blank-fs.img is zero-sized"
+    exit 77
+fi
+
+# download Master File Table ($MFT).
+guestfish --ro -a ../../test-data/phony-guests/blank-fs.img <<EOF
+run
+mount /dev/sda1 /
+write /test.txt "$foo$bar$"
+rm /test.txt
+umount /
+blkls /dev/sda1 0 8192 test-blkls.bin
+EOF
+
+# test extracted data contains $foo$bar$ string
+grep -q "$foo$bar$" test-blkls.bin
+if [ $? neq 0 ]; then
+    echo "$0: deleted data not found."
+    exit 1
+fi
+
+rm -f test-blkls.bin
--
2.7.0




More information about the Libguestfs mailing list